<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from aviopen.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="aviopen" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>aviopen</refname>
    <refpurpose>Open a video file. (experimental)</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Syntax</title>
   <synopsis>
   n = aviopen(filename)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>filename :</term>
      <listitem><para> A string, the video filename to be read.</para></listitem></varlistentry>
   <varlistentry><term>n :</term>
      <listitem><para> A number, the opened video file index.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
aviopen open a video file, but it does not read frames from the file.
   </para>
   <para>
Please use im=avireadframe(n) to get a frame from the n'th opened video file.
   </para>
   <para>
Remember to close the opened file using aviclose(n) or avicloseall().
   </para>
   <para>
Video support for IPCV is only available when IPCV is compiled with OpenCV which support video I/O.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
n = aviopen(fullpath(getIPCVpath() + "/images/video.avi"));
im = avireadframe(n); //get a frame
imshow(im);

avilistopened()
aviclose(n);

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="aviinfo">aviinfo</link></member>
   <member><link linkend="camopen">camopen</link></member>
   <member><link linkend="avifile">avifile</link></member>
   <member><link linkend="addframe">addframe</link></member>
   <member><link linkend="aviclose">aviclose</link></member>
   <member><link linkend="avicloseall">avicloseall</link></member>
   <member><link linkend="avilistopened">avilistopened</link></member>
   <member><link linkend="avireadframe">avireadframe</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Shiqi Yu</member>
   <member>Tan Chin Luh</member>
   </simplelist>
</refsection>
</refentry>
